// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: SpeechPhraseIO.java,v 1.2 2003/03/06 00:40:40 moltmans Exp $
// SpeechIO.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Created: <Mon Aug 23 12:36:37 1999> 
// Time-stamp: <2000-03-06 21:51:27 moltmans> 
package rec.speech;

import java.rmi.*;

public class SpeechPhraseIO extends PhraseIO
{
  private RecListen m_listen;
  private Say m_say;

  public SpeechPhraseIO()
  {
    m_say = Say.getSay();
    m_listen = RecListen.getListen();
  }

  protected String getPhraseInternal( )
  {
    return m_listen.getDictation( );
  }
  
  protected void sayInternal( String phrase )
  {
   m_say.say( phrase );
  }
}
